package Ensembl.artemis;
public class QualifierHelper
{
	private static org.omg.CORBA.TypeCode _type = org.omg.CORBA.ORB.init().create_struct_tc(id(),"Qualifier",new org.omg.CORBA.StructMember[]{new org.omg.CORBA.StructMember("name",org.omg.CORBA.ORB.init().create_string_tc(0),null),new org.omg.CORBA.StructMember("values",org.omg.CORBA.ORB.init().create_sequence_tc(0, org.omg.CORBA.ORB.init().create_string_tc(0)),null)});
	public QualifierHelper ()
	{
	}
	public static void insert(org.omg.CORBA.Any any, Ensembl.artemis.Qualifier s)
	{
		any.type(type());
		write( any.create_output_stream(),s);
	}
	public static Ensembl.artemis.Qualifier extract(org.omg.CORBA.Any any)
	{
		return read(any.create_input_stream());
	}
	public static org.omg.CORBA.TypeCode type()
	{
		return _type;
	}
	public String get_id()
	{
		return id();
	}
	public org.omg.CORBA.TypeCode get_type()
	{
		return type();
	}
	public void write_Object(org.omg.CORBA.portable.OutputStream out, java.lang.Object obj)
	{
		 throw new RuntimeException(" not implemented");
	}
	public java.lang.Object read_Object(org.omg.CORBA.portable.InputStream in)
	{
		 throw new RuntimeException(" not implemented");
	}
	public static String id()
	{
		return "IDL:Ensembl/artemis/Qualifier:1.0";
	}
	public static Ensembl.artemis.Qualifier read(org.omg.CORBA.portable.InputStream in)
	{
		Ensembl.artemis.Qualifier result = new Ensembl.artemis.Qualifier();
		result.name=in.read_string();
		int _lresult_values = in.read_long();
		result.values = new java.lang.String[_lresult_values];
		for(int i=0;i<_lresult_values;i++)
		{
			result.values[i]=in.read_string();
		}

		return result;
	}
	public static void write(org.omg.CORBA.portable.OutputStream out, Ensembl.artemis.Qualifier s)
	{
out.write_string(s.name);

		out.write_long(s.values.length);
		for( int i=0; i<s.values.length;i++)
		{
			out.write_string(s.values[i]);
		}

	}
}
